### Class

# Tsparql NamespaceManager

#### Description [src]

    final class Tsparql.NamespaceManager : GObject.Object
    {
      /* No available fields */
    }

`TrackerNamespaceManager` object represents a mapping between namespaces and their shortened prefixes.

This object keeps track of namespaces, and allows you to assign short prefixes for them to avoid frequent use of full namespace IRIs. The syntax used is that of Compact URIs (CURIEs).

Usually you will want to use a namespace manager obtained through `tracker_sparql_connection_get_namespace_manager()` from the `TrackerSparqlConnection` that manages the RDF data, as that will contain all prefixes and namespaces that are pre-defined by its ontology.

#### Ancestors

- GObject

#### Constructors

###### tracker_namespace_manager_new

Creates a new, empty `TrackerNamespaceManager` instance.

#### Functions

###### tracker_namespace_manager_get_default

Returns the global `TrackerNamespaceManager` that contains a set of well-known namespaces and prefixes, such as `rdf:`, `rdfs:`, `nie:`, `tracker:`, etc.

deprecated: 3.3

#### Instance methods

###### tracker_namespace_manager_add_prefix

Adds `prefix` as the recognised abbreviation of `namespace`.

###### tracker_namespace_manager_compress_uri

If `uri` begins with one of the namespaces known to this `TrackerNamespaceManager`, then the return value will be the compressed URI. Otherwise, `NULL` will be returned.

since: 3.3

###### tracker_namespace_manager_expand_uri

If `compact_uri` begins with one of the prefixes known to this `TrackerNamespaceManager`, then the return value will be the expanded URI. Otherwise, a copy of `compact_uri` will be returned.

###### tracker_namespace_manager_foreach

Calls `func` for each known prefix / URI pair.

###### tracker_namespace_manager_has_prefix

Returns whether `prefix` is known.

###### tracker_namespace_manager_lookup_prefix

Looks up the namespace URI corresponding to `prefix`, or `NULL` if the prefix is not known.

###### tracker_namespace_manager_print_turtle

Writes out all namespaces as `prefix` statements in the Turtle RDF format.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct TsparqlNamespaceManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.